6.0.0-git
2019-03-18

[#6734] Name lookup for other users' folders
Summary Name lookup for other users' folders
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester Tim.Bannister (at) manchester (dot) ac (dot) uk
Created 2008-05-21 (3953 days ago)
Due
Updated 2010-01-13 (3351 days ago)
Assigned
Resolved 2009-12-09 (3386 days ago)
Milestone
Patch No

History
2009-12-09 23:33:41 Michael Slusarz Comment #7
Assigned to Michael Slusarz
State ⇒ Resolved
Version ⇒ Git master
Reply to this comment
Added to IMP 5 (mbox_label hook).
2008-05-22 23:09:55 Jan Schneider Comment #5
State ⇒ Accepted
Reply to this comment
A hook is the way to go IMO.
2008-05-22 08:54:22 Tim (dot) Bannister (at) manchester (dot) ac (dot) uk Comment #4 Reply to this comment
At most this should be a hook.
Sure, I can't arue with that.
2008-05-22 08:52:52 Tim (dot) Bannister (at) manchester (dot) ac (dot) uk Comment #3 Reply to this comment
I'd use the existing Accounts_Driver code (as seen in 
horde/lib/Block/account.php).



On the system I'm configuring we use LDAP for account lookups. On a 
different system you might need to configure a different driver or 
another attribute to search on (for example, "mail" rather than "uid", 
if the folder names are based on email addresses). I'd be happy 
handling just the common case to look up on UID.
2008-05-21 20:52:46 Chuck Hagenbuch Version ⇒ HEAD
 
2008-05-21 20:52:21 Chuck Hagenbuch Comment #2 Reply to this comment
At most this should be a hook. Doing this in a cross-server way is 
basically impossible. Presumably you have Horde configured to look up 
names via posix_* functions or something? Or do you mean using a 
user's identity? The mailbox name isn't necessarily tied to the Horde 
username either.


2008-05-21 10:10:11 Tim (dot) Bannister (at) manchester (dot) ac (dot) uk Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Name lookup for other users' folders
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
IMP / DIMP sees and presents folders in the namespace for other user's 
folders. IMP shows the folders under the heading "Other Users' Folders".



On many systems the folder names are based on the owners' UIDs. For 
example, a user John Smith might have a folder shown as "smithj42" 
inside "Other Users' Folders".

Horde is already able to look up displayNames from UIDs. To enhance 
IMP, implement the same facility for "Other Users' Folders"

Saved Queries